Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.common
Class PdfExportParametersBean

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.common.AbstractExportParameters
          com.jaspersoft.jasperserver.api.engine.jasperreports.common.PdfExportParametersBean

All Implemented Interfaces:
  ExportParameters, java.io.Serializable

    public class PdfExportParametersBean

extends AbstractExportParameters

Version:
  $Id: PdfExportParametersBean.java 10174 2007-09-20 08:01:37Z lucian $
Author:
  sanda zaharia
See Also:
  Serialized Form

Constructor Summary
`PdfExportParametersBean()`

Method Summary
`java.util.Map` | `getLocalizedFontMap()`
`void` | `setLocalizedFontMap(java.util.Map localizedFontMap)`
`void` | `setPropertyValues(java.lang.Object object)` This method checks the 'object' argument (which should be a compatible ExportParameters object) properties and copies their values into the caller object

Methods inherited from class com.jaspersoft.jasperserver.api.engine.jasperreports.common.AbstractExportParameters
`isOverrideReportHints, setOverrideReportHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PdfExportParametersBean

    public PdfExportParametersBean()

Method Detail

### setPropertyValues

    public void setPropertyValues(java.lang.Object object)

  Description copied from interface: `ExportParameters`
  This method checks the 'object' argument (which should be a compatible ExportParameters object) properties and copies their values into the caller object

### getLocalizedFontMap

    public java.util.Map getLocalizedFontMap()

  Returns:
    Returns the localizedFontMap.

### setLocalizedFontMap

    public void setLocalizedFontMap(java.util.Map localizedFontMap)

  Parameters:
    `localizedFontMap` - The localizedFontMap to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.